# Clyde project

Système de gestion d'universitée (dévelopé dans le cadre du cours de projet de génie logiciel de l'Umons 2024)

## Signature

Projet du groupe 01:

- Debucquoy Anthony: Extension messagerie
- Maxime Bartha: Extension publication scientifique
- William Karpinski: Extension gestion des horaires
- Léo Moulin: Extension inscription des étudiants

## Running

**Attention**: Vous devez avoir installé docker-compose pour lancer ce projet.

Le projet peut être lancé grace à docker compose.

```sh
$ docker compose up 
```

Dans le cas ou vous modifiez des fichiers, pour éviter que les images de docker ne soient réutilisés sans les
changements.

```sh
$ docker compose up --force-recreate --build
```
Vous pouvez alors accéder au frontend à l'adresse [http://localhost:5173](http://localhost:5173)

Une version finie du site construite automatiquement à l'aide de gitea actions tourne à l'adresse
[https://clyde.herisson.ovh/](https://clyde.herisson.ovh/)

## Dévelopement

Dans le cas ou vous êtes dans une phase de développement, il est plus simple d'utiliser gradle pour lancer le backend et frontend.
**Attention**: Ce mode n'est pas fait pour être utilisé en production!

```sh
$ ./gradlew run --parallel
```
permet de lancer le frontend sur [http://localhost:5173](http://localhost:5173) ansi que le frontend sur [http://localhost:8080](http://localhost:8080) 

Ceci requière également docker pour lancer une instance de postgresql pris en charge par spring.

Il est possible de se passer entièrement de docker en supprimant la dépendance dans le fichier `backend/build.gradle.kts`: ~~`developmentOnly("org.springframework.boot:spring-boot-docker-compose")`~~
Il est alors nécéssaire d'avoir une instance de postgresql tournant sur `localhost:5432` avec une table `clyde`, utilisateur: `devel` et password: `devel`
(cette configuration peut également être changée dans le fichier resources/application.properties de spring)
